Subject: Re: [PATCH/RFC 1/x] gitweb: Use git-diff-tree patch output for commitdiff

From: Jakub Narebski <[email-masked]>
Date: Fri, 25 Aug 2006 20:18:19 +0200

Marco Costalba wrote:

>> >>    Empty patches (mode changes and pure renames and copying)
>> >>    are not written currently.
>> >
>> > That's quite bad.
>>
>> This can be easily changed. Question: what format? Current "gitweb diff
> 
> I don't know if has always been like this, but I don't see on gitweb
> (http://www.kernel.org/git/?p=qgit/qgit.git;a=shortlog) the diff of
> the patch I've just pushed.
> 
> The patch is "Fix correct permissions on this excutable script",
> currently the HEAD of qgit repo. The content it's only a file mode
> change in helpgen.sh, so it' an 'empty' patch.
> 
> I've done something wrong or it's gitweb that does not show this info?

It is visible in "commit" view, but is not visible in either "commitdiff",
or "blobdiff".

Support for showing this kind of changes is planned... but of course
you would have to wait for kernel.org to update their gitweb.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git